Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.mapping
Class PreferredConstructor.Parameter<T>

    java.lang.Object
      org.springframework.data.mapping.PreferredConstructor.Parameter<T>

Type Parameters:
  `T` - the type of the paramter

Enclosing class:
  PreferredConstructor<T>

    public static class PreferredConstructor.Parameter<T>

extends Object

Value object to represent constructor parameters.

Author:
  Oliver Gierke

Constructor Summary
`PreferredConstructor.Parameter(String name, TypeInformation<T> type, Annotation[] annotations)` Creates a new `PreferredConstructor.Parameter` with the given name, `TypeInformation` as well as an array of `Annotation`s.

Method Summary
`String` | `getKey()` Returns the key to be used when looking up a source data structure to populate the actual parameter value.
`String` | `getName()` Returns the name of the parameter or null if none was given.
`Class<T>` | `getRawType()` Returns the raw resolved type of the parameter.
`TypeInformation<T>` | `getType()` Returns the `TypeInformation` of the parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreferredConstructor.Parameter

    public PreferredConstructor.Parameter(String name,
                                          TypeInformation<T> type,
                                          Annotation[] annotations)

  Creates a new `PreferredConstructor.Parameter` with the given name, `TypeInformation` as well as an array of `Annotation`s. Will insprect the annotations for an `Value` annotation to lookup a key or an SpEL expression to be evaluated.

  Parameters:
    `name` - the name of the parameter, can be null
    `type` - must not be null
    `annotations` - must not be null but can be empty

Method Detail

### getName

    public String getName()

  Returns the name of the parameter or null if none was given.

  Returns:

### getType

    public TypeInformation<T> getType()

  Returns the `TypeInformation` of the parameter.

  Returns:

### getRawType

    public Class<T> getRawType()

  Returns the raw resolved type of the parameter.

  Returns:

### getKey

    public String getKey()

  Returns the key to be used when looking up a source data structure to populate the actual parameter value.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.